unit uClients;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ComCtrls, Menus,
  ExtCtrls, uTCPSockets, uSettings;

type

  { TfClients }
  TfClients = class(TForm)
    pgClients: TPageControl;
  private

  public
    function AddClientPage(ATCPBase: TTCPBase; ASettings: TSettings; AConnection: TConnection): TTabSheet;
    function FindClientPage(AUniqueID: Integer): TTabSheet;
  public

  end;

var
  fClients: TfClients;

implementation

uses uClient;

{$R *.lfm}

{ TfClients }

function TfClients.AddClientPage(ATCPBase: TTCPBase; ASettings: TSettings;
 AConnection: TConnection): TTabSheet;
var
  frClient: TfrClient;
begin
  Result := pgClients.AddTabSheet;
  if Result <> nil then
  begin
    Result.Tag := AConnection.FUniqueID;
    Result.Caption := AConnection.FExtendedInfo.FRemoteIP + ' : ' + AConnection.FUser;
    frClient := TfrClient.Create(Result);
    frClient.Parent := Result;
    frClient.Align := alClient;
    frClient.InitFrame(ATCPBase, btServer, ASettings, AConnection);
    frClient.Show;
  end
end;

function TfClients.FindClientPage(AUniqueID: Integer): TTabSheet;
var
  I: Integer;
begin
  Result := nil;
  for I := 0 to pgClients.PageCount - 1 do
  begin
    if pgClients.Pages[I].Tag = AUniqueID then
    begin
      Result := pgClients.Pages[I];
      Break;
    end;
  end;
end;

end.

